Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatBoostFeatures

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatBoostFeatures

Enclosing class:
  TdApi

public static final class TdApi.ChatBoostFeatures extends TdApi.Object
Contains a list of features available on the first chat boost levels.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.ChatBoostLevelFeatures[]`
`features`
The list of features.
`int`
`minBackgroundCustomEmojiBoostLevel`
The minimum boost level required to set custom emoji for reply header and link preview background; for channel chats only.
`int`
`minChatThemeBackgroundBoostLevel`
The minimum boost level required to set a chat theme background as chat background.
`int`
`minCustomBackgroundBoostLevel`
The minimum boost level required to set custom chat background.
`int`
`minCustomEmojiStickerSetBoostLevel`
The minimum boost level required to set custom emoji sticker set for the chat; for supergroup chats only.
`int`
`minEmojiStatusBoostLevel`
The minimum boost level required to set emoji status.
`int`
`minProfileBackgroundCustomEmojiBoostLevel`
The minimum boost level required to set custom emoji for profile background.
`int`
`minSpeechRecognitionBoostLevel`
The minimum boost level allowing to recognize speech in video note and voice note messages for non-Premium users; for supergroup chats only.

## Constructor Summary

Constructors
Constructor
Description
`ChatBoostFeatures()`
Contains a list of features available on the first chat boost levels.
`ChatBoostFeatures(TdApi.ChatBoostLevelFeatures[] features, int minProfileBackgroundCustomEmojiBoostLevel, int minBackgroundCustomEmojiBoostLevel, int minEmojiStatusBoostLevel, int minChatThemeBackgroundBoostLevel, int minCustomBackgroundBoostLevel, int minCustomEmojiStickerSetBoostLevel, int minSpeechRecognitionBoostLevel)`
Contains a list of features available on the first chat boost levels.
`ChatBoostFeatures(DataInput input)`
Contains a list of features available on the first chat boost levels.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### features

public TdApi.ChatBoostLevelFeatures[] features
The list of features.

### minProfileBackgroundCustomEmojiBoostLevel

public int minProfileBackgroundCustomEmojiBoostLevel
The minimum boost level required to set custom emoji for profile background.

### minBackgroundCustomEmojiBoostLevel

public int minBackgroundCustomEmojiBoostLevel
The minimum boost level required to set custom emoji for reply header and link preview background; for channel chats only.

### minEmojiStatusBoostLevel

public int minEmojiStatusBoostLevel
The minimum boost level required to set emoji status.

### minChatThemeBackgroundBoostLevel

public int minChatThemeBackgroundBoostLevel
The minimum boost level required to set a chat theme background as chat background.

### minCustomBackgroundBoostLevel

public int minCustomBackgroundBoostLevel
The minimum boost level required to set custom chat background.

### minCustomEmojiStickerSetBoostLevel

public int minCustomEmojiStickerSetBoostLevel
The minimum boost level required to set custom emoji sticker set for the chat; for supergroup chats only.

### minSpeechRecognitionBoostLevel

public int minSpeechRecognitionBoostLevel
The minimum boost level allowing to recognize speech in video note and voice note messages for non-Premium users; for supergroup chats only.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ChatBoostFeatures

public ChatBoostFeatures()
Contains a list of features available on the first chat boost levels.

### ChatBoostFeatures

public ChatBoostFeatures(TdApi.ChatBoostLevelFeatures[] features, int minProfileBackgroundCustomEmojiBoostLevel, int minBackgroundCustomEmojiBoostLevel, int minEmojiStatusBoostLevel, int minChatThemeBackgroundBoostLevel, int minCustomBackgroundBoostLevel, int minCustomEmojiStickerSetBoostLevel, int minSpeechRecognitionBoostLevel)
Contains a list of features available on the first chat boost levels.

Parameters:
  `features` - The list of features.
  `minProfileBackgroundCustomEmojiBoostLevel` - The minimum boost level required to set custom emoji for profile background.
  `minBackgroundCustomEmojiBoostLevel` - The minimum boost level required to set custom emoji for reply header and link preview background; for channel chats only.
  `minEmojiStatusBoostLevel` - The minimum boost level required to set emoji status.
  `minChatThemeBackgroundBoostLevel` - The minimum boost level required to set a chat theme background as chat background.
  `minCustomBackgroundBoostLevel` - The minimum boost level required to set custom chat background.
  `minCustomEmojiStickerSetBoostLevel` - The minimum boost level required to set custom emoji sticker set for the chat; for supergroup chats only.
  `minSpeechRecognitionBoostLevel` - The minimum boost level allowing to recognize speech in video note and voice note messages for non-Premium users; for supergroup chats only.

### ChatBoostFeatures

public ChatBoostFeatures(DataInput input) throws IOException
Contains a list of features available on the first chat boost levels.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`